This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 604626 - MAN: yum-verify man page uses 'pretty' quotes in examples, and thus they don't work
MAN: yum-verify man page uses 'pretty' quotes in examples, and thus they don'...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: man-pages-overrides (Show other bugs)
6.0
All Linux
medium Severity medium
: rc
: ---
Assigned To: Ivana Varekova
BaseOS QE - Apps
: ManPageChange, Reopened
Depends On:
Blocks: 582655 659740
  Show dependency treegraph
 
Reported: 2010-06-16 07:13 EDT by Jan Hutař
Modified: 2014-01-21 01:18 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 659740 (view as bug list)
Environment:
Last Closed: 2011-05-19 10:28:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Hutař 2010-06-16 07:13:56 EDT
Description of problem:
According to manual page, mentioned command should:

> EXAMPLES
>      [...]
>      To verify the binaries that are in a bin directory, use:
> 
>             yum verify --verify-filenames=’*bin/*’

but it does not.


Version-Release number of selected component (if applicable):
yum-3.2.27-9.el6.noarch
yum-plugin-verify-1.1.26-9.el6.noarch


How reproducible:
always (tested on 1 RHEL6 i386 system)


Steps to Reproduce:
1. # rpm -qf /bin/tracepath6
   iputils-20071127-12.el6.i686
2. # rpm -V iputils
3. # mv /bin/tracepath6{,.BACKUP}
4. # rpm -V iputils
   missing     /bin/tracepath6
5. # yum verify --verify-filenames=’*bin/*’
   Loaded plugins: aliases, changelog, downloadonly, presto, protect-packages, refresh-packagekit, rhnplugin, security, tmprepo,
                 : verify, versionlock
   This system is not registered with RHN.
   RHN support will be disabled.
   verify done
6. # echo $?
   0


Actual results:
yum command in point "5." do not report any missing file and ends with 0


Expected results:
yum command should report missing file as:

# yum verify iputils
Loaded plugins: aliases, changelog, downloadonly, presto, protect-packages, refresh-packagekit, rhnplugin, security, tmprepo,
              : verify, versionlock
This system is not registered with RHN.
RHN support will be disabled.
==================== Installed Packages ====================
iputils.i686 : Network monitoring tools including ping
    File: /bin/tracepath6
        Problem:  file is missing
verify done
Comment 1 RHEL Product and Program Management 2010-06-16 07:33:45 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 seth vidal 2010-06-17 14:24:48 EDT
I can't seem to make this happen in the upstream version of yum/yum-verify

on F13.
Comment 4 James Antill 2010-06-17 15:20:39 EDT
Dito. however I will note that the quotes in your example:

    yum verify --verify-filenames=’*bin/*’

are: ’ == 0xe2 0x80 0x99

not: ' == 0x27

...which would explain it, if that's what you typed.
Comment 14 errata-xmlrpc 2011-05-19 10:28:37 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0780.html

Note You need to log in before you can comment on or make changes to this bug.